Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2128529 - gp2c-0.0.13 is available
Summary: gp2c-0.0.13 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gp2c
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-20 21:32 UTC by Upstream Release Monitoring
Modified: 2022-10-02 00:18 UTC (History)
2 users (show)

Fixed In Version: gp2c-0.0.13-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-02 00:18:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2022-09-20 21:32:25 UTC
Releases retrieved: 0.0.13
Upstream release that is considered latest: 0.0.13
Current version/release in rawhide: 0.0.12.1-4.fc37
URL: https://pari.math.u-bordeaux.fr/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/231818/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/gp2c

Comment 1 Jerry James 2022-09-20 21:51:05 UTC
Hmm, I gave this package to you @code , but not the rest of the pari stack, didn't I?  I'm not sure that made sense.

I am currently working on an update to pari 2.15.0, and this gp2c update should probably be part of it.  I'm working through some issues with consuming packages that aren't quite ready for the changes in pari.  Once I get those worked out, I'll make a COPR and we can look at updating gp2c as part of that update.  How does that sound?

Comment 2 Ben Beasley 2022-09-22 21:49:46 UTC
I don’t think I have the bandwidth to take on the rest of the pari stack right now. Feel free to work on this package as freely as if you were the main admin. At the same time, I’m happy to do the work of skimming the source diff for gp2c, making any needed spec file adjustments, and preparing a PR, so that it’s ready to go when you need it. If that’s not helpful, I am perfectly willing to give the package back to you or to any new pari stack maintainer you might find.

Comment 3 Ben Beasley 2022-09-22 21:53:57 UTC
Since the changelog entry for this release is:

> gp2c (0.0.13)
>
> * By default, support PARI 2.15 now.
>
> -- Bill Allombert <allomber.fr> Mon, 19 Sep 2022 18:56:36 +0200

it certainly does seem to make sense to include it in the pari 2.15 update you are working on.

Comment 5 Fedora Update System 2022-09-28 23:16:07 UTC
FEDORA-2022-21f6ca9264 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-21f6ca9264

Comment 6 Fedora Update System 2022-09-29 04:40:24 UTC
FEDORA-2022-21f6ca9264 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-21f6ca9264`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-21f6ca9264

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-10-02 00:18:19 UTC
FEDORA-2022-21f6ca9264 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.